//
//  ThreeToOneMonth.swift
//  WeddingApp
//
//  Created by Jacqueline Caraballo on 1/13/15.
//  Copyright (c) 2015 JacquelineCaraballo. All rights reserved.
//

import UIKit

class ThreeToOneMonth: UITableViewController {

	
	let cellReuseIdentifier:String = "list";
	
	let list: [String] = [
		"Prepare for rental items",
		"Discuss menu options",
		"Arrange limousine service",
		"Order wedding favors",
		"Shop for bridal party gifts",
		"Send out invitations",
		"Select ceremony music",
		"Select location for rehearsal dinner",
		"Schedule alterations",
		"Experiment with make-up and hairstyles",
		"Confirm order with florist",
		"Design wedding programs & menu cards",
		"Apply for marriage license",
		"Choose all wedding accessories",
		"Discuss and finalize details with wedding consultant",
		"Finalize honeymoon itinerary",
		"Make spa appointment for Mani/Pedi"
	];
	
	override init(nibName: String?, bundle: NSBundle?) {
		super.init(nibName: nil, bundle:nil);
	}

	required init(coder aDecoder: NSCoder){
		super.init(nibName: nil, bundle:nil);
	}
	
	override func viewDidLoad() {
		super.viewDidLoad()
		tableView.registerClass(UITableViewCell.self , forCellReuseIdentifier: cellReuseIdentifier);
		
		tableView.bounces = true;
		tableView.scrollsToTop = true;
		tableView.decelerationRate = UIScrollViewDecelerationRateNormal; //friction
		
		// Uncomment the following line to preserve selection between presentations
		// self.clearsSelectionOnViewWillAppear = false
		
		// Uncomment the following line to display an Edit button in the navigation bar for this view controller.
		// self.navigationItem.rightBarButtonItem = self.editButtonItem()
	}
	
	override func didReceiveMemoryWarning() {
		super.didReceiveMemoryWarning()
		// Dispose of any resources that can be recreated.
	}
	
	// MARK: - Table view data source
	
	override func numberOfSectionsInTableView(tableView: UITableView) -> Int {
		// Return the number of sections.
		return 1;
	}
	
	override func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
		// Return the number of rows in the section.
		assert(section == 0);
		return list.count;
	}
	
	
	override func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
		
		assert(indexPath.section == 0 && 0 <= indexPath.row && indexPath.row < list.count);
		
		let cell = tableView.dequeueReusableCellWithIdentifier(cellReuseIdentifier, forIndexPath: indexPath) as UITableViewCell
		
		//assert(cell.textLabel != nil);
		
		// Configure the cell...
		cell.textLabel.text = list[indexPath.row];
		
		return cell
	}
	
	//MARK: - Checkmark
	
	override func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath: NSIndexPath) {
		
		let cell: UITableViewCell? = tableView.cellForRowAtIndexPath(indexPath);
		
		if cell!.accessoryType == UITableViewCellAccessoryType.None{
			
			cell!.accessoryType = UITableViewCellAccessoryType.Checkmark;
		}else{
			cell!.accessoryType = UITableViewCellAccessoryType.None;
		}
	}
	
	
	
	/*
	// Override to support conditional editing of the table view.
	override func tableView(tableView: UITableView, canEditRowAtIndexPath indexPath: NSIndexPath) -> Bool {
	// Return NO if you do not want the specified item to be editable.
	return true
	}
	*/
	
	/*
	// Override to support editing the table view.
	override func tableView(tableView: UITableView, commitEditingStyle editingStyle: UITableViewCellEditingStyle, forRowAtIndexPath indexPath: NSIndexPath) {
	if editingStyle == .Delete {
	// Delete the row from the data source
	tableView.deleteRowsAtIndexPaths([indexPath], withRowAnimation: .Fade)
	} else if editingStyle == .Insert {
	// Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
	}
	}
	*/
	
	/*
	// Override to support rearranging the table view.
	override func tableView(tableView: UITableView, moveRowAtIndexPath fromIndexPath: NSIndexPath, toIndexPath: NSIndexPath) {
	
	}
	*/
	
	/*
	// Override to support conditional rearranging of the table view.
	override func tableView(tableView: UITableView, canMoveRowAtIndexPath indexPath: NSIndexPath) -> Bool {
	// Return NO if you do not want the item to be re-orderable.
	return true
	}
	*/
	
	/*
	// MARK: - Navigation
	
	// In a storyboard-based application, you will often want to do a little preparation before navigation
	override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
	// Get the new view controller using [segue destinationViewController].
	// Pass the selected object to the new view controller.
	}
	*/
	
}
